wls_server {'bserver_1':
  ensure => 'present'
}

wls_server {'bserver_2':
  ensure => 'present'
}

wls_cluster {'cluster_1':
  ensure  => 'present',
  servers => ['bserver_1', 'bserver_2'],
}

wls_migratable_target {'mtarget_1':
  ensure  => 'present',
  cluster => 'cluster_1',
  user_preferred_server => 'bserver_1',
}

wls_datasource { 'DS':
  ensure                           => 'present',
}

wls_jdbc_persistence_store { 'store':
  ensure     => 'present',
  datasource => 'DS',
  target     => ['mtarget_1'],
  targettype => ['MigratableTarget'],
}


wls_jmsserver {'jmsserver_1':
  ensure              => 'present',
  target              => ['mtarget_1'],
  targettype          => ['MigratableTarget'],
  persistentstore     => 'store',
  persistentstoretype => 'JDBCStore',
}
